# ApiHostMaintenanceResponse Data Model

Properties
name | data type | constraints | description
--- | --- | --- | ---
success | boolean | required | success is true if host enters into maintenance and false otherwise
hostRef | ApiHostRef |  | Host ref contains Host Id and Host Name of the host that needs to go into the Maintenance mode
errorMessage | string |  | The error message captures RunTime Exception messages when maintenance mode operation fails to execute on the host.

Example

    {
      "success" : true,
      "hostRef" : {
        "hostId" : "...",
        "hostname" : "..."
      },
      "errorMessage" : "..."
    }